package com.fzm.mall.server.admin.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.system.entity.dto.SysNavigationDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysNavigationSaveDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysNavigationUpdateDTO;
import com.fzm.mall.server.admin.system.model.SysNavigation;

import java.util.List;

/**
 * <p>
 * 系统中心-常见问题-导航 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-29
 */
public interface ISysNavigationService extends IService<SysNavigation> {

    void save(SysNavigationSaveDTO navigationSaveDTO);

    void update(SysNavigationUpdateDTO navigationUpdateDTO);

    void delete(String navigationId);

    SysNavigationDTO read(String navigationId);

    List<SysNavigationDTO> listAll();
}
